main {
    display: block;
    width: auto;    
    flex: 1;   
    padding: 40px 10px 10px 10px;
}

#menu {
    background-color: #0d023c; /* Sötétkék háttér */
    padding: 0;
    margin: 0;
    list-style: none;
	padding-top: 20px;  
}


#menu span:hover, #menu a:hover {
	color:#ff0000;	
	
}

#menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#menu ul li {
    position: relative;
    display: inline-block; /* Vagy használj "block" típust, ha vertikális menüt szeretnél */
}


#menu ul li span, #menu ul li a {
    display: block;
    padding: 10px 20px;
    color: white; /* Fehér szöveg */
    text-decoration: none;
    font-size: 16px; /* Állítsd be a kívánt betűméretet */
	min-width: 100px;
	cursor:pointer;
}

#menu ul.submenu {      
    display: none;
	position: absolute;
    background-color: #261e47; /* Sötétkék háttér a submenu-nál is */
	width: 190px;	
	border:2px solid #4a3f75;
	z-index:100;
	
}

#menu ul li a:hover, 
#menu ul.submenu li a:hover, 
#menu ul.submenu2 li a:hover, 
#menu ul.submenu3 li a:hover,
#menu ul.submenu4 li a:hover  
{
    background-color: #261e47; /* Világosabb kék, amikor hover állapotban van */
}


#menu ul.submenu2
 {    
    display:none;
	position: absolute;
    width: 220px;	
	left:90px;
	top:0px;	
	background-color: #261e47; /* Világosabb kék háttér a submenu-nál is */
	border:2px solid #4a3f75; 
	z-index:101;	
}

#menu ul.submenu3 {    
    position: absolute;
    width: 190px;
    opacity: 0;	
    transform: translateX(-100vw);
	left:10px;
	top:0px;
	transition: all 1s ease-in-out;
	background-color: #261e47; /* Világosabb kék háttér a submenu-nál is */
	border:2px solid #4a3f75; 
	z-index:101;	
}

#menu ul.submenu4 {    
    display: none;
	position: absolute;
    width: 220px;   
	left:0px;		
	background-color: #261e47; /* Világosabb kék háttér a submenu-nál is */
	border:2px solid #4a3f75; 
	z-index:101;	
}

#menu ul li span.no-hover:hover, #menu span.no-hover:hover {
  color: #00dbff !important;
  cursor: default !important;  
}

#lessons-menu-point:hover > ul.submenu,
#topics-menu-point:hover > ul.submenu2, 
#lesson-length-menu-point:hover > ul.submenu2,
#stories-menu-point:hover > ul.submenu3,
#others-menu-point:hover > ul.submenu4
{   
	transform: translateX(0);
	opacity: 1;
}

#stories-menu-point:hover > ul.submenu3 
{   
	transform: translateX(-190px);
	opacity: 1;	
}

.menu-toggle {
  display: none;
  cursor: pointer;
  float: right;
  padding: 0px; 
}

.menu-toggle .bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.8s ease-in-out;
  transition: all 0.8s ease-in-out;
  background-color: #fff;
}

.nav-list {
  list-style: none;
  padding: 0;
  margin-top: 25px;
  display: flex;
  flex-flow: row nowrap;
  
}

.navbar {
    background: #0d023c;
    color: #fff;
    font-size: 17px;
    padding: 0px 0px;
    position: absolute;
    width: 100%;
    top: 0;
    font-family: Arial, sans-serif;
    left: 0px;
	z-index: 101;
	min-width: 290px;
}

.nav-brand {
  float: left;
  padding: 10px 5px;
}

.order-menu-point {	
	color: yellow !important;
}

 .logo{
 width:300px;
 height:52px; 
 position: relative;
 left: 10px;
 }
 
 .current-page {
  color: #00dbff !important;
  font-weight: bold;
}

@media (max-width: 1000px) {
     	
  .nav-list {   
    flex-flow: column nowrap;
    background-color: #0d023c;
    position: absolute;
    top: 58px;      
    width: 100%;    
    transform: translateY(-100vw);
     -webkit-transition: all 0.8s ease-in-out;
    transition: all 0.8s ease-in-out;
    left: 0px;
    z-index:100;   
  }

  .nav-list.open {
    transform: translateX(0);
  }

  .menu-toggle {
    position: relative;   
    display: block;
    left: -30px;
	top: 15px;
	color:#fff;
  }
  
  #menu ul.submenu {    
    display: none;
    position: absolute;
    background-color: #261e47; /* Sötétkék háttér a submenu-nál is */
	width: 190px;
	opacity: 0;	
	top:0px;
    transform: translateX(-100vw);
    transition: all 0.8s ease-in-out;
	border:2px solid #4a3f75;
	z-index:100;	
}

#menu ul.submenu4 {   
    position: absolute;
    width: 200px;
    opacity: 0;	
    transform: translateX(-100vw);
	left:90px;	
	top:0px;
	transition: all 1s ease-in-out;
	background-color: #261e47; /* Világosabb kék háttér a submenu-nál is */
	border:2px solid #4a3f75; 
	z-index:101;	
}

#lessons-menu-point:hover > ul.submenu {   
	transform: translateX(90px);
	opacity: 1;	
}

  #menu ul li a {
    display: block;
    padding: 10px 20px;
    color: white; /* Fehér szöveg */
    text-decoration: none;
    font-size: 16px; /* Állítsd be a kívánt betűméretet */
	width: 230px;
	top:20px;
}
  
 .logo{
 width:200px;
 height:35px; 
 position: relative;
 left: 10px;
 } 
 
 
}